## python-logfmter 0.0.11A~5.2.0.202510291203

=== Makefile ===
#!/usr/bin/make -f
#
# update python-logfmter src
#
# SPDX-FileCopyrightText: 2001-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

VERSION := 0.0.11
TAR_DIR := python-logfmter-$(VERSION)
TAR_FILE := python-logfmter-v$(VERSION).tar.gz
TAR_URL := https://github.com/jteppinette/python-logfmter/archive/refs/tags/v$(VERSION).tar.gz
SHA_FILE := $(TAR_FILE).sha256

.PHONY: all clean fetch unpack verify hash

all: unpack

fetch: $(TAR_FILE)

hash: $(SHA_FILE)

$(SHA_FILE): $(TAR_FILE)
	sha256sum $(TAR_FILE) > $(SHA_FILE)

$(TAR_FILE):
	wget -O $@ $(TAR_URL)

verify: $(TAR_FILE)
	sha256sum -c $(TAR_FILE).sha256

unpack: verify
	rm -rf ./src ./tests
	tar xvzf $(TAR_FILE) \
		$(TAR_DIR)/src \
		$(TAR_DIR)/tests \
		$(TAR_DIR)/setup.cfg \
		$(TAR_DIR)/setup.py \
		$(TAR_DIR)/LICENSE.txt
	mv $(TAR_DIR)/* .

clean:
	rm -rf $(TAR_FILE) $(TAR_DIR) src tests setup.cfg setup.py LICENSE.txt

## python-logfmter 0.0.10A~5.2.0.202509161545

=== debian/changelog ===
python-logfmter (0.0.10A~5.2.0.202509161545) ucs5-2-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    000-allow-specifying-format-able-default-values.patch
    001-format-stack-info-if-given.patch
    005-allow-specifying-excluded-ignore-keys.patch
    006-record-exc-text.patch

 -- Univention builddaemon <buildd@univention.de>  Tue, 16 Sep 2025 15:45:40 -0000

python-logfmter (0.0.10) unstable; urgency=medium

  * Update to version 0.0.10.

 -- Felix Botner <botner@univention.de>  Fri, 29 Aug 2025 16:41:33 +0200

python-logfmter (0.0.9-1) unstable; urgency=medium

  * Initial release for version 0.0.9.

 -- Daniel Troeder <troeder@univention.de>  Wed, 28 May 2025 12:10:46 +0200

=== debian/control ===
Source: python-logfmter
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Build-Depends:
 debhelper-compat (=13),
 dh-python,
 python3-all,
 python3-dev,
 python3-setuptools,
 coreutils,
 wget,
Standards-Version: 3.9.6

Package: python3-logfmter
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 library to add structured logging in the "logfmt" format to the the stdlib logging module.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

=== debian/rules ===
#!/usr/bin/make -f

# SPDX-FileCopyrightText: 2025 Univention GmbH
# SPDX-License-Identifier: MIT

export PYBUILD_NAME=logfmter

%:
	dh $@ --with python3 --buildsystem=pybuild --with-quilt

## python-logfmter 0.0.11A~5.2.0.202510291203

=== debian/changelog ===
python-logfmter (0.0.11A~5.2.0.202510291203) ucs5-2-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    001-fix-replace-invisible-control-characters.quilt

 -- Univention builddaemon <buildd@univention.de>  Wed, 29 Oct 2025 12:03:56 -0000

python-logfmter (0.0.11) unstable; urgency=medium

  * Update to version 0.0.11.

 -- Florian Best <best@univention.de>  Mon, 13 Oct 2025 15:56:31 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,9 @@
  python3-all,
  python3-dev,
  python3-setuptools,
+ ca-certificates,
  coreutils,
+ quilt,
  wget,
 Standards-Version: 3.9.6

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,11 @@
 export PYBUILD_NAME=logfmter
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild --with-quilt
+	dh $@ --with python3 --buildsystem=pybuild --with quilt
+
+override_dh_quilt_patch:
+	make -C $(CURDIR) unpack
+	dh_quilt_patch
+
+override_dh_auto_clean:
+	make -C $(CURDIR) clean || true

=== debian/watch ===
# please also check http://pypi.debian.net/logfmter/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/logfmter/logfmter-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
